=== modified file 'loggerhead/highlight.py'
--- loggerhead/highlight.py	2009-03-02 00:10:26 +0000
+++ loggerhead/highlight.py	2009-03-02 00:42:46 +0000
@@ -21,16 +21,12 @@
 from pygments.formatters import HtmlFormatter
 from pygments.util import ClassNotFound
 
-from loggerhead import util
-
 DEFAULT_PYGMENT_STYLE = 'colorful'
 
 
 def highlight(path, text, style=DEFAULT_PYGMENT_STYLE):
     """
-    Returns a list of highlighted (i.e. HTML formatted) strings and it
-    replaces initial spaces with nonbreaking spaces to maintain
-    indentation.
+    Returns a list of highlighted (i.e. HTML formatted) strings.
     """
 
     formatter = HtmlFormatter(style=style, nowrap=True, classprefix='pyg-')
@@ -51,6 +47,5 @@
             lexer = TextLexer(encoding=encoding)
 
     hl_lines = _highlight_func(text, lexer, formatter).split('\n')
-#    hl_lines = [util.fix_whitespace(line) for line in hl_lines]
 
     return hl_lines

